Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.util
Class Set

Method Summary
`Set` | `asImmutable()` A convenience method for creating an immutable list.
`Set` | `asSynchronized()` A convenience method for creating a synchronized Set.
`boolean` | `equals(Set other)` Compare the contents of two Sets for equality using Groovy's coercion rules.
`Set` | `minus(Collection removeMe)` Create a Set composed of the elements of the first Set minus the elements of the given Collection.
`Set` | `minus(Iterable removeMe)` Create a Set composed of the elements of the first Set minus the elements from the given Iterable.
`Set` | `minus(Object removeMe)` Create a Set composed of the elements of the first Set minus the given element.

Method Detail

### asImmutable

    public Set asImmutable()

  A convenience method for creating an immutable list.

Returns:
  an immutable Set

Since:
  1.0

See:
  Collections#unmodifiableSet.

### asSynchronized

    public Set asSynchronized()

  A convenience method for creating a synchronized Set.

Returns:
  a synchronized Set

Since:
  1.0

See:
  Collections#synchronizedSet.

### equals

    public boolean equals(Set other)

  Compare the contents of two Sets for equality using Groovy's coercion rules.

  Returns `true` if the two sets have the same size, and every member of the specified set is contained in this set (or equivalently, every member of this set is contained in the specified set). If numbers exist in the sets, then they are compared as numbers, for example 2 == 2L. If both sets are `null`, the result is true; otherwise if either set is `null`, the result is `false`. Example usage:

      Set s1 = ["a", 2]
      def s2 = [2, 'a'] as Set
      Set s3 = [3, 'a']
      def s4 = [2.0, 'a'] as Set
      def s5 = [2L, 'a'] as Set
      assert s1.equals(s2)
      assert !s1.equals(s3)
      assert s1.equals(s4)
      assert s1.equals(s5)

Parameters:
  `other` - the Set being compared to.

Returns:
  `true` if the contents of both sets are identical

Since:
  1.8.0

### minus

    public Set minus(Collection removeMe)

  Create a Set composed of the elements of the first Set minus the elements of the given Collection.

Parameters:
  `removeMe` - the items to remove from the Set.

Returns:
  the resulting Set

Since:
  1.5.0

### minus

    public Set minus(Iterable removeMe)

  Create a Set composed of the elements of the first Set minus the elements from the given Iterable.

Parameters:
  `removeMe` - the items to remove from the Set.

Returns:
  the resulting Set

Since:
  1.8.7

### minus

    public Set minus(Object removeMe)

  Create a Set composed of the elements of the first Set minus the given element.

Parameters:
  `removeMe` - the element to remove from the Set.

Returns:
  the resulting Set

Since:
  1.5.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK